Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233803 - prelink fails tests when using -Wl,--enable-new-dtags
Summary: prelink fails tests when using -Wl,--enable-new-dtags
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 06:32 UTC by Mike Frysinger
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 12:36:27 UTC


Attachments (Terms of Use)
difference between deps1.log (deleted)
2007-03-25 06:32 UTC, Mike Frysinger
no flags Details

Description Mike Frysinger 2007-03-25 06:32:59 UTC
i'm not terribly familiar with prelink so i havent had much luck tracing back
the exact issue to see if it's benign, but these tests fail when linking with
-Wl,--enable-new-dtags:
FAIL: deps1.sh
FAIL: deps2.sh
FAIL: undosyslibs.sh

tested with prelink-0.3.10-1.src.rpm

Comment 1 Mike Frysinger 2007-03-25 06:32:59 UTC
Created attachment 150842 [details]
difference between deps1.log

Comment 2 Jakub Jelinek 2007-03-26 12:36:27 UTC
That's not really surprising, given that the tests use LD_LIBRARY_PATH and
expect it doesn't override DT_RPATH (while if you build with
-Wl,--enable-new-dtags DT_RUNPATH is overridden by LD_LIBRARY_PATH).
Don't do it then?  Or at least don't do it for make check in prelink?

Comment 3 Mike Frysinger 2007-03-26 21:59:59 UTC
the reason for the bug was i wanted verification from someone who knew the
source code that this is merely a test issue and not an actual defect in the
code that would show up at runtime when using DT_RUNPATH

i'll patch prelink so that the common test sh file does:
CC="$CC -Wl,--disable-new-dtags"

thanks for your indulgence :)


Note You need to log in before you can comment on or make changes to this bug.